# 源jar路径
DOCKER_FILE_PATH=/usr/local/java/dx
# 容器id
CID=$(''docker ps | grep "ins-dx" | awk '{print $1}''')
echo $CID
# 运行docker容器
function run(){
  echo "开始构建镜像..."
  cd $DOCKER_FILE_PATH
  echo "当前路径如下"
  pwd
  # 构建前判断是否存在镜像，存在则删除
  if [ -n "$CID" ]; then
    echo "存在demo容器，CID=$CID,重启docker容器 ..."
    # 停止容器运行
    sudo docker stop $CID
    # 删除容器
    sudo docker rm $CID
    # 删除镜像
    sudo docker rmi ins-dx
    echo "删除镜像和容器成功，下面开始构建新镜像"
  else
    echo "不存在people-healthy容器，下面直接开始构建镜像"
  fi
  # 构建镜像
  docker build -t ins-dx .
  echo "创建容器成功"
  docker images
  # 杀死特定端口进程
  docker run -it --name ins-dx  -p 8008:8008 -e "--spring.profiles.active=test" -p 9099:9099 --restart=always -v /usr/local/java/dx:/ins --mount type=bind,source=/nasData,destination=/nasData -v /usr/local/java/dx/logs:/ins/logs -d ins-dx:latest
}

#入口
run
