package com.zgd.dx.controller;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.zgd.dx.model.Uuser;
import com.zgd.dx.model.dto.DxDataDto;
import com.zgd.dx.model.vo.DxDataVo;
import com.zgd.dx.model.vo.UserQueryVo;
import com.zgd.dx.service.UuserService;
import com.zgd.dx.utils.BasePageResult;
import com.zgd.dx.utils.HttpResult;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

@RequestMapping("uuser")
@RestController
public class UuserController {

    @Autowired
    private UuserService uuserService;


    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/6 16:19
     *  @Description: 通过用户id查询用户统计数据
     */
    @GetMapping("/findByUserId")
    public HttpResult<Uuser> findByUserId(String userId) {
        Uuser user =null;
        try{
            if(StringUtils.isBlank(userId)){
                return HttpResult.error("用户id不能为空！！！");
            }
            LambdaQueryWrapper<Uuser> queryWrapper = new LambdaQueryWrapper<>();
            queryWrapper.eq(Uuser::getName, userId);
            user = uuserService.getOne(queryWrapper);
        } catch (Exception e) {
            e.printStackTrace();
            return HttpResult.error(e.getMessage());
        }
        return HttpResult.ok(user);
    }

    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/9 10:21
     *  @Description:  分页查询
     */
    @PostMapping("/queryUserPage")
    public HttpResult<BasePageResult<Uuser>> queryUserPage(@RequestBody UserQueryVo userQueryVo){
        BasePageResult<Uuser> uuserBasePageResult = uuserService.queryUserPage(userQueryVo);
        return HttpResult.ok(uuserBasePageResult);
    }

}
