package com.zgd.dx.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zgd.dx.dao.DxDataMapper;
import com.zgd.dx.model.DxData;
import com.zgd.dx.model.dto.DxDataDto;
import com.zgd.dx.model.vo.DxDataVo;
import com.zgd.dx.service.DxDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  @version
 *  @author: hxl
 *  @Date: 2024/6/28 9:27
 *  @Description:  战略合作单位报表
 */
@Service
public class DxDataServiceImpl extends ServiceImpl<DxDataMapper, DxData>
        implements DxDataService {


    @Autowired
    private DxDataMapper   dxDataMapper;

    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/6 12:10
     *  @Description: 通过电销人员、时间段查看电销统计数据
     */
    @Override
    public DxDataDto listByUserId(DxDataVo dxDataVo) {
        return dxDataMapper.listByUserId(dxDataVo);
    }
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/6 14:37
     *  @Description: 通过用户id、按日统计数据
     */
    @Override
    public List<DxDataDto> listByUserIdAndDateTime(DxDataVo dxDataVo) {
        return dxDataMapper.listByUserIdAndDateTime(dxDataVo);
    }
    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/9 14:47
     *  @Description: 根据用户id和日期查询某天数据
     */
    @Override
    public DxDataDto listByUserIdByDay(DxDataVo dxDataVo) {
        return dxDataMapper.listByUserIdByDay(dxDataVo);
    }
}

