package com.zgd.dx.service.impl;


import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zgd.dx.dao.DxDataMapper;
import com.zgd.dx.dao.UuserMapper;
import com.zgd.dx.model.Uuser;
import com.zgd.dx.model.vo.UserQueryVo;
import com.zgd.dx.service.UuserService;
import com.zgd.dx.utils.BasePageResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 *  @version
 *  @author: hxl
 *  @Date: 2024/6/28 9:27
 *  @Description:  查詢用戶
 */
@DS("uncall_db")
@Service
public class UuserServiceImpl extends ServiceImpl<UuserMapper, Uuser>
        implements UuserService {



    @Autowired
    private UuserMapper uuserMapper;

    /**
     *  @version
     *  @author: hxl
     *  @Date: 2024/9/12 17:29
     *  @Description: 用戶分頁
     */
    @Override
    public BasePageResult<Uuser> queryUserPage(UserQueryVo userQueryVo) {
        Page<Uuser> page = new Page<>(userQueryVo.getPageNum(), userQueryVo.getPageSize());
        Page<Uuser> result = uuserMapper.queryUserPage(page, userQueryVo);
        return  new BasePageResult<Uuser>(userQueryVo.getPageNum(), page.getSize(), result.getTotal(), page.getPages(),
                result.getRecords());
    }
}

